Bug 202876 - (perl-Data-Alias) Review Request: perl-Data-Alias - Comprehensive set of aliasing operations
Review Request: perl-Data-Alias - Comprehensive set of aliasing operations
Status: CLOSED DUPLICATE of bug 697411
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
http://search.cpan.org/dist/Data-Alias/
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-16 17:15 EDT by Chris Weyl
Modified: 2011-04-18 03:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 03:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-16 17:15:45 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Data-Alias-1.0-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Data-Alias.spec

Description:
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.
Comment 1 Jason Tibbitts 2006-08-17 20:38:46 EDT
You should be careful with that method of requires filtering, because there's no
guarantee that __perl_provides will always be /usr/lib/rpm/perl.prov.  The
safest method is detailed in http://fedoraproject.org/wiki/Packaging/Perl.

That said, many modules do use it and it is relatively simple.

Other than that there's not much to say.

* source files match upstream:
   390fc2fefbf3fa9bf30d482a46989953  Data-Alias-1.0.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Alias.so()(64bit)
   perl(Data::Alias) = 1.0
   perl-Data-Alias = 1.0-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Data::Alias) = 1.0
   perl(DynaLoader)
   perl(Exporter)
* %check is present and all tests pass:
   All tests successful, 1 test skipped.
   Files=26, Tests=561,  1 wallclock secs ( 0.78 cusr +  0.25 csys =  1.03 CPU)
  The skipped test checks for the //= operator and won't run otherwise; I think
that's a Perl6 thing.

* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-08-17 21:36:11 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!
Comment 3 Iain Arnell 2010-08-25 01:40:14 EDT
Package Change Request
======================
Package Name: perl-Data-Alias
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2010-08-25 13:09:38 EDT
Git done (by process-git-requests).
Comment 5 Marcela Mašláňová 2011-04-14 06:17:43 EDT
I'd like to re-review this package, because it was already orphaned. Now upstream live again and they provided new version compatible with 5.12.x Perl and higher.

I believe work on it in same ticket make sense, but I can not change reporter, which should be me.

SPEC: http://mmaslano.fedorapeople.org/review/perl-Data-Alias.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-Data-Alias-1.12-1.fc14.src.rpm
Description:
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.
Comment 6 Jason Tibbitts 2011-04-14 09:15:31 EDT
Generally it makes far more sense to simply open your own review ticket.  You can close this one as a duplicate.
Comment 7 Marcela Mašláňová 2011-04-18 03:50:21 EDT

*** This bug has been marked as a duplicate of bug 697411 ***

Note You need to log in before you can comment on or make changes to this bug.